Apple iTunes < 12.3.2 Multiple Vulnerabilities (uncredentialed check)

Medium Nessus Plugin ID 87372

Synopsis

The remote host contains an application that is affected by multiple vulnerabilities.

Description

The version of Apple iTunes running on the remote Windows host is prior to 12.3.2. It is, therefore, affected by multiple vulnerabilities in the WebKit component :

- Multiple memory corruption issues exists that an attacker can exploit to cause a denial of service or execute arbitrary code. (CVE-2015-7048, CVE-2015-7095, CVE-2015-7096, CVE-2015-7097, CVE-2015-7098, CVE-2015-7099, CVE-2015-7100, CVE-2015-7101, CVE-2015-7102, CVE-2015-7103, CVE-2015-7104)

- A flaw exists in content blocking due to improper validation of input. A remote attacker can exploit this, via a malicious website, to reveal the user's browsing history. (CVE-2015-7050)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Apple iTunes version 12.3.2 or later.

See Also

https://support.apple.com/en-us/HT205636

http://www.nessus.org/u?3562e993

Plugin Details

Severity: Medium

ID: 87372

File Name: itunes_12_3_2_banner.nasl

Version: 1.3

Type: remote

Published: 2015/12/15

Modified: 2018/07/12

Dependencies: 20217

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:apple:itunes

Required KB Items: iTunes/sharing

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2015/12/11

Vulnerability Publication Date: 2015/12/08

Reference Information

CVE: CVE-2015-7048, CVE-2015-7050, CVE-2015-7095, CVE-2015-7096, CVE-2015-7097, CVE-2015-7098, CVE-2015-7099, CVE-2015-7100, CVE-2015-7101, CVE-2015-7102, CVE-2015-7103, CVE-2015-7104

BID: 78720, 78722, 78726

APPLE-SA: APPLE-SA-2015-12-11-1